<?php

namespace App\Requests\AwardManagement;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class AwardTypeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules = [
            'title' => ['required', 'string', 'max:255', Rule::unique('award_types')->ignore($this->award_type)],
            'status' => ['nullable', 'boolean', Rule::in([1, 0])],
        ];
        return $rules;

    }

}

