<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('time_leaves', function (Blueprint $table) {
            $table->unsignedBigInteger('request_updated_by')->nullable();
            $table->foreign('request_updated_by')->references('id')->on('users')->onDelete('cascade');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('time_leaves', function (Blueprint $table) {
            $table->dropForeign(['request_updated_by']);
            $table->dropColumn('request_updated_by');
        });
    }
};
